% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/theme.R
\name{use_jsmodule_style}
\alias{use_jsmodule_style}
\title{Include jsmodule CSS styling}
\usage{
use_jsmodule_style()
}
\value{
An HTML `<link>` tag that loads the CSS into a Shiny UI
}
\description{
Adds the custom `style.css` file bundled with the jsmodule package to a Shiny UI.
This allows consistent styling (e.g., bold navbar title, font tweaks, spacing) across
all Shiny applications using this package.
}
\details{
This function is meant to be used inside the UI of a Shiny app.
It automatically locates and includes the `style.css` file found in `inst/assets/` of the jsmodule package installation.
}
\examples{
\dontrun{
use_jsmodule_style()
}
}
\seealso{
\code{\link[htmltools]{include}}
}
